---
name: skeen-recordatorios
description: >
  Recordatorios de citas, follow-ups y re-engagement para SKEEN.
  Usar PRINCIPALMENTE via cron (hermes cron).
  Tambien puede responder a consultas sobre recordatorios.
version: 1.0.0
metadata:
  hermes:
    always: true
    requires:
      bins: []
    envVars:
      - name: ODOO_URL
        required: true
      - name: WACRM_URL
        required: true
      - name: WACRM_API_KEY
        required: true
    platforms: [whatsapp, webchat, cli]
    activation: cron
    cron:
      - schedule: "0 */6 * * *"  # Cada 6 horas: generar recordatorios
        command: "skill skeen-recordatorios --action generate"
      - schedule: "0 18 * * *"  # 6 PM diario: enviar recordatorios
        command: "skill skeen-recordatorios --action send"
      - schedule: "0 9 * * 1"  # Lunes 9 AM: re-engagement
        command: "skill skeen-recordatorios --action reengage"
---

# SKEEN — Recordatorios y Follow-ups

## Ejecucion via Cron

Esta skill se ejecuta automaticamente via `hermes cron`.

### PASO 1: Generar recordatorios (cada 6 horas)

Recordatorios de citas (24h antes):
  Consulta Odoo: salon.booking con date=tomorrow, state=confirmed
  Para cada cita, programa cron:
  ```bash
  hermes cron schedule --name "recordatorio-[booking_id]" \
    --at "[fecha_cita] 18:00 - 1 day" \
    --command "skill skeen-recordatorios --action send --phone [PHONE] --cita [DATE]"
  ```

Follow-ups post-tratamiento (7 dias despues):
  Consulta Odoo: salon.booking con date=7_days_ago, state=done
  Programa cron para cada paciente:
  ```bash
  hermes cron schedule --name "followup-[booking_id]" \
    --at "[fecha_cita + 7 days] 10:00" \
    --command "skill skeen-recordatorios --action followup --phone [PHONE]"
  ```

Re-engagement (pacientes inactivos 90 dias):
  Consulta Odoo: res.partner con last_visit <= 90_days_ago
  Programa cron semanal:
  ```bash
  hermes cron schedule --name "reengage-[partner_id]" \
    --at "lunes 9:00" \
    --command "skill skeen-recordatorios --action reengage --phone [PHONE]"
  ```

### PASO 2: Enviar recordatorios (6 PM diario)

Para cada recordatorio programado para hoy:
1. Enviar via WACRM usando `wacrm_send` con template aprobado
2. Si es exitoso, marcar como enviado en Odoo
3. Si falla, reintentar en siguiente ejecucion (max 3 intentos)

### PASO 3: Limpieza

Eliminar cron jobs completados con mas de 7 dias:
```bash
hermes cron list --completed | awk '$4 > 7 {print $1}' | xargs hermes cron delete
```

## Templates de WhatsApp Aprobados

recordatorio_cita_skeen:
  "Hola {{1}}! Te recordamos tu cita manana {{2}} a las {{3}} en SKEEN Derma Experts."

followup_tratamiento_skeen:
  "Hola {{1}}! Han pasado {{2}} dias desde tu {{3}}. Como te sientes?"

reengage_skeen:
  "Hola {{1}}! Te extranamos en SKEEN. Agenda tu proxima visita y recibe 50 puntos."
